Apache JMeter

## org.apache.jmeter.testbeans.gui
Class TableEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.apache.jmeter.testbeans.gui.TableEditor

All Implemented Interfaces:
  FocusListener, PropertyEditor, EventListener, TableModelListener, TestBeanPropertyEditor

    public class TableEditor

extends PropertyEditorSupport
implements FocusListener, TestBeanPropertyEditor, TableModelListener

Field Summary
`static String` `CLASSNAME`
`static String` `HEADERS`
`static String` `OBJECT_PROPERTIES`

Constructor Summary
`TableEditor()`

Method Summary
`void` `focusGained(FocusEvent e)`
`void` `focusLost(FocusEvent e)`
`String` `getAsText()`
`Component` `getCustomEditor()`
`Object` `getValue()`
`void` `setAsText(String text)`
`void` `setDescriptor(PropertyDescriptor descriptor)` For the table editor, the tag must simply be the name of the class of object it will hold where each row holds one object.
`void` `setValue(Object value)`
`boolean` `supportsCustomEditor()`
`void` `tableChanged(TableModelEvent e)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getJavaInitializationString, getTags, isPaintable, paintValue, removePropertyChangeListener`

Field Detail

### CLASSNAME

    public static final String CLASSNAME

See Also:
  Constant Field Values

### HEADERS

    public static final String HEADERS

See Also:
  Constant Field Values

### OBJECT_PROPERTIES

    public static final String OBJECT_PROPERTIES

See Also:
  Constant Field Values

Constructor Detail

### TableEditor

    public TableEditor()

Method Detail

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

### getCustomEditor

    public Component getCustomEditor()

  Specified by:
    `getCustomEditor` in interface `PropertyEditor`
  Overrides:
    `getCustomEditor` in class `PropertyEditorSupport`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `PropertyEditor`
  Overrides:
    `getValue` in class `PropertyEditorSupport`

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `PropertyEditor`
  Overrides:
    `setValue` in class `PropertyEditorSupport`

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `PropertyEditorSupport`

### setDescriptor

    public void setDescriptor(PropertyDescriptor descriptor)

  For the table editor, the tag must simply be the name of the class of object it will hold where each row holds one object.

  Specified by:
    `setDescriptor` in interface `TestBeanPropertyEditor`

### tableChanged

    public void tableChanged(TableModelEvent e)

  Specified by:
    `tableChanged` in interface `TableModelListener`

### focusGained

    public void focusGained(FocusEvent e)

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Specified by:
    `focusLost` in interface `FocusListener`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.